StableOps
API 參考

更改門戶訂閱方案

透過 StableOps 門戶申請變更訂閱方案,核對升級差額帳單或待續費方案,在帳單結算前不要直接授予新方案權益。門戶令牌限定使用者可訪問的資料,不能替代商戶管理金鑰,也不代表已完成付款。伺服器端應驗證使用者身份並安全簽發會話,最終權益以帳單和訂閱狀態為準。

POST/v1/merchant/portal/subscription/change-plan

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/merchant/portal/subscription/change-plan" \  -H "Content-Type: application/json" \  -d '{    "plan_id": "string"  }'
{
  "subscription": {
    "id": "string",
    "merchant_user_id": "string",
    "plan_id": "string",
    "status": "incomplete",
    "current_period_start": "2019-08-24T14:15:22Z",
    "current_period_end": "2019-08-24T14:15:22Z",
    "cancel_at_period_end": true,
    "pending_plan_id": "string",
    "pending_plan_change_at": "2019-08-24T14:15:22Z",
    "trial_ends_at": "2019-08-24T14:15:22Z",
    "canceled_at": "2019-08-24T14:15:22Z",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  },
  "invoice": {
    "id": "string",
    "subscription_id": "string",
    "merchant_user_id": "string",
    "kind": "first",
    "period_start": "2019-08-24T14:15:22Z",
    "period_end": "2019-08-24T14:15:22Z",
    "amount": "string",
    "asset": "USDC",
    "status": "open",
    "payment_order_id": "string",
    "target_plan_id": "string",
    "due_at": "2019-08-24T14:15:22Z",
    "paid_at": "2019-08-24T14:15:22Z",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  },
  "pending": true
}

這篇文件怎麼樣?

最後更新